%global __brp_check_rpaths %{nil}
%global packname  sad
%global packver   0.1.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.3
Release:          1%{?dist}%{?buildtag}
Summary:          Verify the Scale, Anisotropy and Direction of Weather Forecasts

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-dualtrees 
BuildRequires:    R-CRAN-emdist 
Requires:         R-CRAN-dualtrees 
Requires:         R-CRAN-emdist 

%description
Implementation of the wavelet-based spatial verification method of Buschow
and Friederichs "SAD: Verifying the Scale, Anisotropy and Direction of
precipitation forecasts" (2020, submitted to QJRMS). Forecasts and
Observations are transformed by a decimated or redundant dual-tree complex
wavelet transform to analyze the spatial scale, degree of anisotropy and
preferred direction in each field. These structural attributes are
compared by a series of scores. An experimental algorithm for the
correction of these errors is included as well.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
